<!DOCTYPE html>
<html lang="en" th:lang="#{lang}" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <!--CSS -->

    <!--<link  href="https://cdnjs.cloudflare.com/ajax/libs/fotorama/4.6.4/fotorama.css" rel="stylesheet">-->

    <!--/*/ <th:block th:include="fragments/layout :: head">
        </th:block> /*/-->

    <!--SCRIPTS-->

</head>
<body>

<div id="wrapper">

    <div th:replace="fragments/layout :: header('user')"></div>

    <!--CAROUSEL-->
    <div th:replace="fragments/layout :: carousel-sm"></div>

    <main id="main" class="container mt-2">
        <div class="d-lg-flex">
            <!--SIDE NAV-->
            <div class="sideNavWrapper m-2">
                <h4 class="h4" th:text="${currentUser.getFullName()}"></h4>
                <p class="text-muted mb-0" th:text="${currentUser.getEmail()}"></p>
                <p class="text-muted" th:if="${currentUser.getCompany() != null}"
                   th:text="${currentUser.getCompany()}"></p>

                <div th:replace="fragments/layout :: sideNav('borrows')"></div>
            </div>

            <div class="flex-grow-1 p-2">

                <!--HEADING-->
                <h3 class="pb-2 pt-1">Moje rezervace</h3>

                <!--ALERTS-->
                <div th:replace="fragments/layout :: alerts"></div>

                <!--BORROW LIST-->
                <div th:fragment="borrowList(borrows, old)">
                    <div id="notFoundMessage" class="alert alert-warning show" role="alert"
                         th:if="${#lists.isEmpty(borrows) && errorMessage == null}">
                        <span>Zatím jste nevytvořil žádnou rezervaci</span>
                    </div>

                    <div th:if="${not #lists.isEmpty(borrows)}">

                        <div class="card mb-2" th:each="borrow : ${borrows}">
                            <div class="card-body py-3">
                                <div class="">
                                    <div class="float-right">
                                        <div class="btn btn-sm"
                                             th:classappend="${old == true} ? 'btn-secondary' : 'btn-orange'"
                                             th:text="${borrow.getFormatFromDate()}"></div>
                                        <!--<i class="text-orange" data-feather="arrow-right"></i>-->
                                        <i class="fas fa-chevron-right pt-1 mt-1"
                                           th:classappend="${old == true} ? 'text-secondary' : 'text-orange'"></i>
                                        <div class="btn btn-sm"
                                             th:classappend="${old == true} ? 'btn-outline-secondary' : 'btn-outline-orange'"
                                             th:text="${borrow.getFormatToDate()}"></div>
                                    </div>
                                    <div>
                                        <h5 class="card-title" th:text="${borrow.product.name}"></h5>
                                        <p class="text-muted mb-2" th:text="${borrow.product.description}"></p>
                                        <div th:if="${not #lists.isEmpty(borrow.accessories)}">
                                            <p class="mb-0">Příslušenství:</p>
                                            <ul class="mb-0">
                                                <li th:each="accessory : ${borrow.accessories}"
                                                    th:text="${accessory.name}"></li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="card-footer small text-muted py-1 text-right">
                                <p class="mb-0" th:text="'vyvtořeno: ' + ${borrow.getFormatCreateDate()}"></p>
                            </div>
                        </div>

                    </div>
                </div>

                <h4 class="mb-2 mt-5 pb-2">Staré rezervace</h4>
                <div th:replace="borrows :: borrowList(${oldBorrows}, true)"></div>

            </div>
        </div>
    </main>
</div>

<div th:replace="fragments/layout :: footer"></div>

</body>
</html>